# dvalv changelog

## [v0.5.3] Wed Dec 18 12:31:12 2024 -0600

### Fixed

- sporadic incomplete writes during encryption


## [v0.5.2] Wed Dec 18 11:55:47 2024 -0600

### Fixed

- the filepath library is pretty dumb about suffixes, including not recognizing "jpeg" and not ignoring case


## [v0.5.1] Wed Dec 18 11:33:26 2024 -0600

### Added

- --nop

### Changed

- how some errors are handled and reported, or swallowed

### Fixed

- entire recursion feature :-/
- v1 thumbnail handling
- directory structure mirroring


## [v0.5.0] Wed Dec 18 09:35:29 2024 -0600

### Added

- supports encryption

### Changed

- refactored v1/v2 code to reduce redundancy


## [v0.4.0] Wed Dec 18 06:45:41 2024 -0600

### Added

- support for v1-format files


## [v0.3.1] Wed Dec 18 06:09:44 2024 -0600

### Changed

- pond was a big dependency and saved only a couple of LOC, so replaced with core goroutines.


## [v0.3.0] Wed Dec 18 05:45:17 2024 -0600

### Added

- allow pulling password from secret service
- no-/overwrite flag, to prevent overwriting existing files

### Fixed

- ignore non .valv files


## [v0.2.0] Tue Dec 17 19:14:21 2024 -0600

### Added

- concurrency

### Fixed

- fmt -> log


## [v0.1.0] Tue Dec 17 18:41:37 2024 -0600

### Added

- ability to recursively decrypt
- --dest argument, for specifying where to put decrypted files

### Changed

- had gotten mangled


## [v0.0.1] Tue Dec 17 15:32:31 2024 -0600

### Added

- changelog
- license
- proper flags & help
- CI
- README

### Changed

- CI process debugged
- documentation and CI cleanups
- works to decrypt
- accepts multiple input files
- default log level is error (less verbose)


## [v0.0.0] Tue Dec 17 12:40:37 2024 -0600

### Fixed

- use the proper SHA algorithm

## Todo

  1 BUG `dvalv --dest /tmp enc.valv` tries to write to <dest>/pwd/<file> 
  2 REQ --delete-original 
